Bug 602605 - job hooks don't execute during life of job
Summary: job hooks don't execute during life of job
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor   
(Show other bugs)
Version: Development
Hardware: All Linux
high
high
Target Milestone: 1.3
: ---
Assignee: Erik Erlandson
QA Contact: Lubos Trilety
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-10 09:50 UTC by Martin Kudlej
Modified: 2011-03-17 18:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 11:28:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log files and condor_config.local (35.83 KB, application/x-gzip)
2010-06-10 09:50 UTC, Martin Kudlej
no flags Details

Description Martin Kudlej 2010-06-10 09:50:20 UTC
Created attachment 422843 [details]
log files and condor_config.local

Description of problem:
I've set job hooks for low-latency and they execute just after restarting condor service in this order:
hook_fetch_work
hook_reply_fetch
hook_job_exit

If I submit test job to condor, none of job hooks execute.

Also job hooks logs are empty.

Version-Release number of selected component (if applicable):
condor-7.4.3-0.17.el5
condor-job-hooks-1.4-0.3.el5
condor-low-latency-1.1-0.1.el5

How reproducible:
100%

Steps to Reproduce:
1. set up low-latency and job hooks
2. service qpidd start; service condor start
3. run http://git.fedorahosted.org/git/?p=grid/carod.git;a=blob;f=tests/cmd_args.py;h=b8f75bed3be5c4d4d8fd51edcc2375a108136bfc;hb=HEAD
  
Actual results:
Job hooks run just after condor restart and don't run during job run.

Expected results:
Job hooks will run also during job executing.

Comment 1 Timothy St. Clair 2010-06-10 19:20:38 UTC
bool hperr = validateHookPath(_param.Value(), path);
should be: 
bool hperr = !validateHookPath(_param.Value(), path);

eje pushed fix to V7_4-BZ561958-Fix-validateHookPath-Error-branch

Comment 2 Lubos Trilety 2010-07-30 17:45:57 UTC
Tested with (version):
condor-7.4.4-0.4
condor-job-hooks-1.4-1
condor-low-latency-1.1-0.2

Tested on:
RHEL5 x86_64  - passed
RHEL5 i386    - passed
RHEL4 x86_64  - passed
RHEL4 i386    - passed

>>> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.